import { QueryLoginNode, storage } from '../query-login-node.ts';
import { Query } from '@kevisual/query';
import dotenv from 'dotenv';
dotenv.config();

const { password, envision_registry } = process.env;
const query = new Query({
  url: envision_registry,
});
query.before(async (options) => {
  const token = storage.getItem('token');
  if (token) {
    options.headers = {
      ...options.headers,
      Authorization: `Bearer ${token}`,
    };
  }
  return options;
});
const queryLogin = new QueryLoginNode({
  query,
  isBrowser: false,
});

const login = async () => {
  const res = await queryLogin
    .login({
      username: 'root',
      password: password,
    })
    .then((res) => {
      console.log(res);
    });
  return res;
};

// login();

const getMe = async () => {
  const res = await queryLogin.getMe();
  console.log(res);
};
getMe();

// console.log('token', storage.getItem('token'));

const switchUser = async (username: string) => {
  const res = await queryLogin.switchUser(username);
  console.log(res);
};
// switchUser('admin');

// switchUser('root');
const logout = async () => {
  const res = await queryLogin.logout();
  console.log(res);
};
// logout();
